Subject: [netmod] IETF YANG module compilation: now four different compilers to check your modules.

From: Benoit Claise <[email-masked]>
Date: Fri, 2 Dec 2016 18:30:27 +0100

Dear all,

During the IETF hackathon, I inserted two more compilers part of the 
daily cron job on my web site.
Next to pyang, confdc, we know have yangdump-pro (from Yumaworks) and 
yanglint <https://github.com/CESNET/libyang> (thanks to Radek for the help)

See for the results here 
<http://www.claise.be/IETFYANGPageCompilation.html>.
The compilation field is based on the outcome of the 4 compilers, to the 
best of my knowledge, as there is a little bit of analytic here.

As you can see, the number of YANG modules that pass compilation dropped 
<http://claise.be/IETFYANGPageCompilation.png>.
This is fine, as the quality of the YANG modules will eventually improve.
The comparison of 4 different compilers helped tremendously finding bugs 
in the compilers on one hand (many are solved already or will be solved 
in the next compiler version), and clarifying the YANG specifications on 
the other hand (perfect timing as draft-ietf-netmod-rfc6087bis-09 is 
being finalized).

I advice you to look up your YANG modules on the web site. The new 
compilers might have discovered new issues.

Regards, Benoit

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 2 Dec 2016 22:17:39 +0100

Benoit,

would it be possible to create a table that does _not_ include the
specific error messages but provides the error messages via separate
links? I am usually getting lost while scrolling through tables of
this size...

/js

On Fri, Dec 02, 2016 at 06:30:27PM +0100, Benoit Claise wrote:
> Dear all,
> 
> During the IETF hackathon, I inserted two more compilers part of the daily
> cron job on my web site.
> The comparison of 4 different compilers helped tremendously finding bugs in
> the compilers on one hand (many are solved already or will be solved in the
> next compiler version), and clarifying the YANG specifications on the other
> hand (perfect timing as draft-ietf-netmod-rfc6087bis-09 is being finalized).
> 
> I advice you to look up your YANG modules on the web site. The new compilers
> might have discovered new issues.
> 
> Regards, Benoit
> 
> 
> 
> 
> 
> 

> _______________________________________________
> yang-doctors mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-doctors

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Benoit Claise <[email-masked]>
Date: Sat, 3 Dec 2016 15:57:33 +0100

Hi Juergen,

Thanks for the interest.
I could, but this is a presentation layer task, and hence a low priority 
for me :-)

Regards, Benoit